## packagesearch 2.1ubuntu1

=== Makefile ===

ICONDIR = /usr/share/pixmaps/packagesearch

QMAKE_ARGS := "CONFIG+=my_release"

QMAKE = /usr/bin/qmake-qt4

all:
	( cd src ; $(QMAKE) $(QMAKE_ARGS) ; make )
# create each plugin individually because the src/plugins/plugin.pro 
# does not forward config options
	( cd src/plugins/aptplugin ; $(QMAKE) $(QMAKE_ARGS) ; make )
	( cd src/plugins/debtagsplugin ; $(QMAKE) $(QMAKE_ARGS) ; make )
	( cd src/plugins/filenameplugin ; $(QMAKE) $(QMAKE_ARGS) ; make )
	( cd src/plugins/orphanplugin ; $(QMAKE) $(QMAKE_ARGS) ; make )

debug:
	( cd src ; $(QMAKE) ; make )
	( cd src/plugins/ ; $(QMAKE) ; make )
	( cd src/plugins/aptplugin ; $(QMAKE)  ; make )
	( cd src/plugins/debtagsplugin ; $(QMAKE) ; make )
	( cd src/plugins/filenameplugin ; $(QMAKE) ; make )
	( cd src/plugins/orphanplugin ; $(QMAKE) ; make )

debug-clean:
	( cd src ; $(QMAKE) ; make clean )
	( cd src/plugins ; $(QMAKE) ; make clean )
	( cd src/plugins/aptplugin ; $(QMAKE)  ; make clean)
	( cd src/plugins/debtagsplugin ; $(QMAKE) ; make clean)
	( cd src/plugins/filenameplugin ; $(QMAKE) ; make clean)
	( cd src/plugins/orphanplugin ; $(QMAKE) ; make clean)

clean:
	( cd src ; $(QMAKE)  $(QMAKE_ARGS) ; make clean )
	( cd src/plugins ; $(QMAKE) $(QMAKE_ARGS) ; make clean )
	( cd src/plugins/aptplugin ; $(QMAKE) $(QMAKE_ARGS) ; make clean)
	( cd src/plugins/debtagsplugin ; $(QMAKE) $(QMAKE_ARGS) ; make clean )
	( cd src/plugins/filenameplugin ; $(QMAKE) $(QMAKE_ARGS) ; make clean )
	( cd src/plugins/orphanplugin ; $(QMAKE) $(QMAKE_ARGS) ; make clean )

install:
	install -d /usr/lib/packagesearch
	install -d /usr/share/doc/packagesearch
	install -d /usr/local/bin
	install -d $(ICONDIR)
	install src/packagesearch /usr/local/bin/
	install -m 644 icons/{packagesearch.png,install-package.png,remove-package.png,forward.png,back.png} $(ICONDIR)
	install -m 644 README TODO CHANGELOG doc/content.html doc/COPYING.txt /usr/share/doc/packagesearch/
	install src/plugins/lib*so /usr/lib/packagesearch
	
uninstall:
	rm /usr/local/bin/packagesearch
	rm /usr/share/doc/packagesearch/{README,TODO,CHANGELOG,content.html,COPYING.txt}
	rmdir /usr/share/doc/packagesearch
	rm /usr/lib/packagesearch/libaptplugin.so
	rm /usr/lib/packagesearch/libdebtagsplugin.so
	rm /usr/lib/packagesearch/libfilenameplugin.so
	rm /usr/lib/packagesearch/liborphanplugin.so
	rmdir /usr/lib/packagesearch
	rm $(ICONDIR)/{packagesearch.png,install-package.png,remove-package.png,forward.png,back.png}
	rmdir $(ICONDIR)

=== src/Makefile ===
#############################################################################
# Makefile for building: packagesearch
# Generated by qmake (2.00a) (Qt 4.1.2) on: Sat Jun 3 11:32:02 2006
# Project:  packagesearch.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix "CONFIG+=my_release" -o Makefile packagesearch.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DQT_NO_DEBUG -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W  $(DEFINES)
CXXFLAGS      = -pipe -O2 `pkg-config --cflags libapt-front libtagcoll` -D_REENTRANT -Wall -W  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/Qt3Support -I/usr/include/qt4 -I. -I.moc -I.ui
LINK          = g++
LFLAGS        = -Wl,-export-dynamic
LIBS          = $(SUBLIBS)  -L/usr/lib -lstdc++ `pkg-config --libs libapt-front libtagcoll` -lrt -lpthread -lQt3Support -lQtXml -lQtGui -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = main.cpp \
		packagesearchimpl.cpp \
		history.cpp \
		runcommand.cpp \
		runcommandinxterm.cpp \
		extalgorithm.cpp \
		applicationfactory.cpp \
		exception.cpp \
		plugincontainer.cpp \
		plugin.cpp \
		singleton.cpp \
		runcommandinwindow.cpp \
		runcommandforoutput.cpp \
		xmldata.cpp \
		pluginmanager.cpp \
		pluginlistitem.cpp \
		pluginsettingsdlg.cpp \
		plugininformer.cpp \
		baseplugincontainer.cpp \
		packagenotfoundexception.cpp \
		packagelistviewitem.cpp \
		packagenameplugin.cpp \
		progressdisplaydlg.cpp \
		customizablelistview.cpp \
		processcontainer.cpp \
		scoredisplayplugin.cpp \
		scoreplugin.cpp \
		scorecalculationstrategybase.cpp \
		columncontroldlg.cpp \
		runcommandwidget.cpp \
		action.cpp \
		actionplugin.cpp \
		packagesearchaboutdlg.cpp .moc/moc_packagesearchimpl.cpp \
		.moc/moc_runcommand.cpp \
		.moc/moc_runcommandinxterm.cpp \
		.moc/moc_searchplugin.cpp \
		.moc/moc_runcommandinwindow.cpp \
		.moc/moc_runcommandforoutput.cpp \
		.moc/moc_pluginmanager.cpp \
		.moc/moc_pluginlistitem.cpp \
		.moc/moc_pluginsettingsdlg.cpp \
		.moc/moc_progressdisplaydlg.cpp \
		.moc/moc_customizablelistview.cpp \
		.moc/moc_processcontainer.cpp \
		.moc/moc_columncontroldlg.cpp \
		.moc/moc_runcommandwidget.cpp
OBJECTS       = .obj/main.o \
		.obj/packagesearchimpl.o \
		.obj/history.o \
		.obj/runcommand.o \
		.obj/runcommandinxterm.o \
		.obj/extalgorithm.o \
		.obj/applicationfactory.o \
		.obj/exception.o \
		.obj/plugincontainer.o \
		.obj/plugin.o \
		.obj/singleton.o \
		.obj/runcommandinwindow.o \
		.obj/runcommandforoutput.o \
		.obj/xmldata.o \
		.obj/pluginmanager.o \
		.obj/pluginlistitem.o \
		.obj/pluginsettingsdlg.o \
		.obj/plugininformer.o \
		.obj/baseplugincontainer.o \
		.obj/packagenotfoundexception.o \
		.obj/packagelistviewitem.o \
		.obj/packagenameplugin.o \
		.obj/progressdisplaydlg.o \
		.obj/customizablelistview.o \
		.obj/processcontainer.o \
		.obj/scoredisplayplugin.o \
		.obj/scoreplugin.o \
		.obj/scorecalculationstrategybase.o \
		.obj/columncontroldlg.o \
		.obj/runcommandwidget.o \
		.obj/action.o \
		.obj/actionplugin.o \
		.obj/packagesearchaboutdlg.o \
		.obj/moc_packagesearchimpl.o \
		.obj/moc_runcommand.o \
		.obj/moc_runcommandinxterm.o \
		.obj/moc_searchplugin.o \
		.obj/moc_runcommandinwindow.o \
		.obj/moc_runcommandforoutput.o \
		.obj/moc_pluginmanager.o \
		.obj/moc_pluginlistitem.o \
		.obj/moc_pluginsettingsdlg.o \
		.obj/moc_progressdisplaydlg.o \
		.obj/moc_customizablelistview.o \
		.obj/moc_processcontainer.o \
		.obj/moc_columncontroldlg.o \
		.obj/moc_runcommandwidget.o
DIST          = /usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		packagesearch.pro
QMAKE_TARGET  = packagesearch
DESTDIR       = 
TARGET        = packagesearch

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: packagesearch.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf
	$(QMAKE) -unix "CONFIG+=my_release" -o Makefile packagesearch.pro
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
qmake:  FORCE
	@$(QMAKE) -unix "CONFIG+=my_release" -o Makefile packagesearch.pro

dist: 
	@$(CHK_DIR_EXISTS) ".obj/packagesearch1.0.0" || $(MKDIR) ".obj/packagesearch1.0.0"
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/packagesearch1.0.0/ && $(COPY_FILE) --parents packagesearchimpl.h history.h runcommand.h runcommandinxterm.h extalgorithm.h applicationfactory.h exception.h helpers.h informationplugin.h plugin.h iprovider.h searchplugin.h plugincontainer.h singleton.h shortinformationplugin.h runcommandinwindow.h runcommandforoutput.h xmldata.h pluginmanager.h ipluginuser.h pluginlistitem.h pluginsettingsdlg.h plugininformer.h baseplugincontainer.h ipluginfactory.h iplugininformer.h packagenotfoundexception.h packagelistviewitem.h packagenameplugin.h iprogressobserver.h progressdisplaydlg.h customizablelistview.h ixmlstorable.h processcontainer.h scoredisplayplugin.h scoreplugin.h plugincompare.h iscorecalculationstrategy.h scorecalculationstrategybase.h columncontroldlg.h runcommandwidget.h action.h actionplugin.h globals.h packagesearchaboutdlg.h .obj/packagesearch1.0.0/ && $(COPY_FILE) --parents main.cpp packagesearchimpl.cpp history.cpp runcommand.cpp runcommandinxterm.cpp extalgorithm.cpp applicationfactory.cpp exception.cpp plugincontainer.cpp plugin.cpp singleton.cpp runcommandinwindow.cpp runcommandforoutput.cpp xmldata.cpp pluginmanager.cpp pluginlistitem.cpp pluginsettingsdlg.cpp plugininformer.cpp baseplugincontainer.cpp packagenotfoundexception.cpp packagelistviewitem.cpp packagenameplugin.cpp progressdisplaydlg.cpp customizablelistview.cpp processcontainer.cpp scoredisplayplugin.cpp scoreplugin.cpp scorecalculationstrategybase.cpp columncontroldlg.cpp runcommandwidget.cpp action.cpp actionplugin.cpp packagesearchaboutdlg.cpp .obj/packagesearch1.0.0/ && $(COPY_FILE) --parents packagesearch.ui packagesearchaboutdlg.ui runcommandwidget.ui plugincontrol.ui pluginprogressdlg.ui columncontroldlg.ui .obj/packagesearch1.0.0/ && (cd `dirname .obj/packagesearch1.0.0` && $(TAR) packagesearch1.0.0.tar packagesearch1.0.0 && $(COMPRESS) packagesearch1.0.0.tar) && $(MOVE) `dirname .obj/packagesearch1.0.0`/packagesearch1.0.0.tar.gz . && $(DEL_FILE) -r .obj/packagesearch1.0.0


yaccclean:
lexclean:
clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/usr/bin/moc-qt4:
	(cd "$(QTDIR)/src/tools/moc" && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .moc/moc_packagesearchimpl.cpp .moc/moc_runcommand.cpp .moc/moc_runcommandinxterm.cpp .moc/moc_searchplugin.cpp .moc/moc_runcommandinwindow.cpp .moc/moc_runcommandforoutput.cpp .moc/moc_pluginmanager.cpp .moc/moc_pluginlistitem.cpp .moc/moc_pluginsettingsdlg.cpp .moc/moc_progressdisplaydlg.cpp .moc/moc_customizablelistview.cpp .moc/moc_processcontainer.cpp .moc/moc_columncontroldlg.cpp .moc/moc_runcommandwidget.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .moc/moc_packagesearchimpl.cpp .moc/moc_runcommand.cpp .moc/moc_runcommandinxterm.cpp .moc/moc_searchplugin.cpp .moc/moc_runcommandinwindow.cpp .moc/moc_runcommandforoutput.cpp .moc/moc_pluginmanager.cpp .moc/moc_pluginlistitem.cpp .moc/moc_pluginsettingsdlg.cpp .moc/moc_progressdisplaydlg.cpp .moc/moc_customizablelistview.cpp .moc/moc_processcontainer.cpp .moc/moc_columncontroldlg.cpp .moc/moc_runcommandwidget.cpp
.moc/moc_packagesearchimpl.cpp: .ui/ui_packagesearch.h \
		iprovider.h \
		ipluginuser.h \
		history.h \
		packagesearchimpl.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) packagesearchimpl.h -o .moc/moc_packagesearchimpl.cpp

.moc/moc_runcommand.cpp: exception.h \
		runcommand.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) runcommand.h -o .moc/moc_runcommand.cpp

.moc/moc_runcommandinxterm.cpp: extalgorithm.h \
		runcommand.h \
		exception.h \
		runcommandinxterm.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) runcommandinxterm.h -o .moc/moc_runcommandinxterm.cpp

.moc/moc_searchplugin.cpp: plugin.h \
		ixmlstorable.h \
		searchplugin.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) searchplugin.h -o .moc/moc_searchplugin.cpp

.moc/moc_runcommandinwindow.cpp: runcommand.h \
		exception.h \
		runcommandwidget.h \
		.ui/ui_runcommandwidget.h \
		runcommandinwindow.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) runcommandinwindow.h -o .moc/moc_runcommandinwindow.cpp

.moc/moc_runcommandforoutput.cpp: runcommandforoutput.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) runcommandforoutput.h -o .moc/moc_runcommandforoutput.cpp

.moc/moc_pluginmanager.cpp: xmldata.h \
		ixmlstorable.h \
		plugininformer.h \
		iplugininformer.h \
		ipluginuser.h \
		plugincontainer.h \
		pluginmanager.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) pluginmanager.h -o .moc/moc_pluginmanager.cpp

.moc/moc_pluginlistitem.cpp: pluginmanager.h \
		xmldata.h \
		ixmlstorable.h \
		plugininformer.h \
		iplugininformer.h \
		ipluginuser.h \
		plugincontainer.h \
		pluginlistitem.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) pluginlistitem.h -o .moc/moc_pluginlistitem.cpp

=== src/plugins/Makefile ===
#############################################################################
# Makefile for building: plugins
# Generated by qmake (2.00a) (Qt 4.1.2) on: Sat Jun 3 11:32:02 2006
# Project:  plugins.pro
# Template: subdirs
# Command: /usr/bin/qmake-qt4 -unix "CONFIG+=my_release" -o Makefile plugins.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake-qt4
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-aptplugin \
		sub-debtagsplugin \
		sub-filenameplugin \
		sub-orphanplugin

aptplugin/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "aptplugin/" || $(MKDIR) "aptplugin/"
	cd aptplugin && $(QMAKE) aptplugin.pro -unix "CONFIG+=my_release" -o $(MAKEFILE)
sub-aptplugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) "aptplugin/" || $(MKDIR) "aptplugin/"
	cd aptplugin && $(QMAKE) aptplugin.pro -unix "CONFIG+=my_release" -o $(MAKEFILE)
sub-aptplugin: aptplugin/$(MAKEFILE) FORCE
	cd aptplugin && $(MAKE) -f $(MAKEFILE)
sub-aptplugin-make_default: aptplugin/$(MAKEFILE) FORCE
	cd aptplugin && $(MAKE) -f $(MAKEFILE) 
sub-aptplugin-make_first: aptplugin/$(MAKEFILE) FORCE
	cd aptplugin && $(MAKE) -f $(MAKEFILE) first
sub-aptplugin-all: aptplugin/$(MAKEFILE) FORCE
	cd aptplugin && $(MAKE) -f $(MAKEFILE) all
sub-aptplugin-clean: aptplugin/$(MAKEFILE) FORCE
	cd aptplugin && $(MAKE) -f $(MAKEFILE) clean
sub-aptplugin-distclean: aptplugin/$(MAKEFILE) FORCE
	cd aptplugin && $(MAKE) -f $(MAKEFILE) distclean
sub-aptplugin-install_subtargets: aptplugin/$(MAKEFILE) FORCE
	cd aptplugin && $(MAKE) -f $(MAKEFILE) install
sub-aptplugin-uninstall_subtargets: aptplugin/$(MAKEFILE) FORCE
	cd aptplugin && $(MAKE) -f $(MAKEFILE) uninstall
debtagsplugin/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "debtagsplugin/" || $(MKDIR) "debtagsplugin/"
	cd debtagsplugin && $(QMAKE) debtagsplugin.pro -unix "CONFIG+=my_release" -o $(MAKEFILE)
sub-debtagsplugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) "debtagsplugin/" || $(MKDIR) "debtagsplugin/"
	cd debtagsplugin && $(QMAKE) debtagsplugin.pro -unix "CONFIG+=my_release" -o $(MAKEFILE)
sub-debtagsplugin: debtagsplugin/$(MAKEFILE) FORCE
	cd debtagsplugin && $(MAKE) -f $(MAKEFILE)
sub-debtagsplugin-make_default: debtagsplugin/$(MAKEFILE) FORCE
	cd debtagsplugin && $(MAKE) -f $(MAKEFILE) 
sub-debtagsplugin-make_first: debtagsplugin/$(MAKEFILE) FORCE
	cd debtagsplugin && $(MAKE) -f $(MAKEFILE) first
sub-debtagsplugin-all: debtagsplugin/$(MAKEFILE) FORCE
	cd debtagsplugin && $(MAKE) -f $(MAKEFILE) all
sub-debtagsplugin-clean: debtagsplugin/$(MAKEFILE) FORCE
	cd debtagsplugin && $(MAKE) -f $(MAKEFILE) clean
sub-debtagsplugin-distclean: debtagsplugin/$(MAKEFILE) FORCE
	cd debtagsplugin && $(MAKE) -f $(MAKEFILE) distclean
sub-debtagsplugin-install_subtargets: debtagsplugin/$(MAKEFILE) FORCE
	cd debtagsplugin && $(MAKE) -f $(MAKEFILE) install
sub-debtagsplugin-uninstall_subtargets: debtagsplugin/$(MAKEFILE) FORCE
	cd debtagsplugin && $(MAKE) -f $(MAKEFILE) uninstall
filenameplugin/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "filenameplugin/" || $(MKDIR) "filenameplugin/"
	cd filenameplugin && $(QMAKE) filenameplugin.pro -unix "CONFIG+=my_release" -o $(MAKEFILE)
sub-filenameplugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) "filenameplugin/" || $(MKDIR) "filenameplugin/"
	cd filenameplugin && $(QMAKE) filenameplugin.pro -unix "CONFIG+=my_release" -o $(MAKEFILE)
sub-filenameplugin: filenameplugin/$(MAKEFILE) FORCE
	cd filenameplugin && $(MAKE) -f $(MAKEFILE)
sub-filenameplugin-make_default: filenameplugin/$(MAKEFILE) FORCE
	cd filenameplugin && $(MAKE) -f $(MAKEFILE) 
sub-filenameplugin-make_first: filenameplugin/$(MAKEFILE) FORCE
	cd filenameplugin && $(MAKE) -f $(MAKEFILE) first
sub-filenameplugin-all: filenameplugin/$(MAKEFILE) FORCE
	cd filenameplugin && $(MAKE) -f $(MAKEFILE) all
sub-filenameplugin-clean: filenameplugin/$(MAKEFILE) FORCE
	cd filenameplugin && $(MAKE) -f $(MAKEFILE) clean
sub-filenameplugin-distclean: filenameplugin/$(MAKEFILE) FORCE
	cd filenameplugin && $(MAKE) -f $(MAKEFILE) distclean
sub-filenameplugin-install_subtargets: filenameplugin/$(MAKEFILE) FORCE
	cd filenameplugin && $(MAKE) -f $(MAKEFILE) install
sub-filenameplugin-uninstall_subtargets: filenameplugin/$(MAKEFILE) FORCE
	cd filenameplugin && $(MAKE) -f $(MAKEFILE) uninstall
orphanplugin/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "orphanplugin/" || $(MKDIR) "orphanplugin/"
	cd orphanplugin && $(QMAKE) orphanplugin.pro -unix "CONFIG+=my_release" -o $(MAKEFILE)
sub-orphanplugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) "orphanplugin/" || $(MKDIR) "orphanplugin/"
	cd orphanplugin && $(QMAKE) orphanplugin.pro -unix "CONFIG+=my_release" -o $(MAKEFILE)
sub-orphanplugin: orphanplugin/$(MAKEFILE) FORCE
	cd orphanplugin && $(MAKE) -f $(MAKEFILE)
sub-orphanplugin-make_default: orphanplugin/$(MAKEFILE) FORCE
	cd orphanplugin && $(MAKE) -f $(MAKEFILE) 
sub-orphanplugin-make_first: orphanplugin/$(MAKEFILE) FORCE
	cd orphanplugin && $(MAKE) -f $(MAKEFILE) first
sub-orphanplugin-all: orphanplugin/$(MAKEFILE) FORCE
	cd orphanplugin && $(MAKE) -f $(MAKEFILE) all
sub-orphanplugin-clean: orphanplugin/$(MAKEFILE) FORCE
	cd orphanplugin && $(MAKE) -f $(MAKEFILE) clean
sub-orphanplugin-distclean: orphanplugin/$(MAKEFILE) FORCE
	cd orphanplugin && $(MAKE) -f $(MAKEFILE) distclean
sub-orphanplugin-install_subtargets: orphanplugin/$(MAKEFILE) FORCE
	cd orphanplugin && $(MAKE) -f $(MAKEFILE) install
sub-orphanplugin-uninstall_subtargets: orphanplugin/$(MAKEFILE) FORCE
	cd orphanplugin && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: plugins.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf
	$(QMAKE) -unix "CONFIG+=my_release" -o Makefile plugins.pro
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix "CONFIG+=my_release" -o Makefile plugins.pro

qmake_all: sub-aptplugin-qmake_all sub-debtagsplugin-qmake_all sub-filenameplugin-qmake_all sub-orphanplugin-qmake_all FORCE

make_default: sub-aptplugin-make_default sub-debtagsplugin-make_default sub-filenameplugin-make_default sub-orphanplugin-make_default FORCE
make_first: sub-aptplugin-make_first sub-debtagsplugin-make_first sub-filenameplugin-make_first sub-orphanplugin-make_first FORCE
all: sub-aptplugin-all sub-debtagsplugin-all sub-filenameplugin-all sub-orphanplugin-all FORCE
clean: sub-aptplugin-clean sub-debtagsplugin-clean sub-filenameplugin-clean sub-orphanplugin-clean FORCE
distclean: sub-aptplugin-distclean sub-debtagsplugin-distclean sub-filenameplugin-distclean sub-orphanplugin-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-aptplugin-install_subtargets sub-debtagsplugin-install_subtargets sub-filenameplugin-install_subtargets sub-orphanplugin-install_subtargets FORCE
uninstall_subtargets: sub-aptplugin-uninstall_subtargets sub-debtagsplugin-uninstall_subtargets sub-filenameplugin-uninstall_subtargets sub-orphanplugin-uninstall_subtargets FORCE

/usr/bin/moc-qt4:
	(cd "$(QTDIR)/src/tools/moc" && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/plugins/aptplugin/Makefile ===
#############################################################################
# Makefile for building: libaptplugin.so
# Generated by qmake (2.00a) (Qt 4.1.2) on: Sat Jun 3 11:32:02 2006
# Project:  aptplugin.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix "CONFIG+=my_release" -o Makefile aptplugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC  $(DEFINES)
CXXFLAGS      = -pipe -O2 `pkg-config --cflags libtagcoll` -D_REENTRANT -Wall -W -fPIC  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/Qt3Support -I/usr/include/qt4 -I. -I../.. -I.moc -I.ui
LINK          = g++
LFLAGS        = -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lpthread -lQt3Support -lQtXml -lQtGui -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = aptplugincontainer.cpp \
		aptsearchplugin.cpp \
		packagedescriptionplugin.cpp \
		packagestatusplugin.cpp \
		aptpluginfactory.cpp \
		ipackagedb.cpp \
		package.cpp \
		iaptsearch.cpp \
		installedversionplugin.cpp \
		availableversionplugin.cpp \
		simplescorecalculationstrategy.cpp \
		aptsearchscorecalculationstrategy.cpp \
		complexscorecalculationstrategy.cpp \
		installedfilterwidget.cpp \
		aptsearchpluginshortinputwidget.cpp \
		aptactionplugin.cpp \
		ipackage.cpp \
		aptfrontpackagedb.cpp \
		aptfrontpackage.cpp .moc/moc_aptplugincontainer.cpp \
		.moc/moc_aptsearchplugin.cpp \
		.moc/moc_packagestatusplugin.cpp \
		.moc/moc_installedfilterwidget.cpp \
		.moc/moc_aptsearchpluginshortinputwidget.cpp \
		.moc/moc_aptactionplugin.cpp
OBJECTS       = .obj/aptplugincontainer.o \
		.obj/aptsearchplugin.o \
		.obj/packagedescriptionplugin.o \
		.obj/packagestatusplugin.o \
		.obj/aptpluginfactory.o \
		.obj/ipackagedb.o \
		.obj/package.o \
		.obj/iaptsearch.o \
		.obj/installedversionplugin.o \
		.obj/availableversionplugin.o \
		.obj/simplescorecalculationstrategy.o \
		.obj/aptsearchscorecalculationstrategy.o \
		.obj/complexscorecalculationstrategy.o \
		.obj/installedfilterwidget.o \
		.obj/aptsearchpluginshortinputwidget.o \
		.obj/aptactionplugin.o \
		.obj/ipackage.o \
		.obj/aptfrontpackagedb.o \
		.obj/aptfrontpackage.o \
		.obj/moc_aptplugincontainer.o \
		.obj/moc_aptsearchplugin.o \
		.obj/moc_packagestatusplugin.o \
		.obj/moc_installedfilterwidget.o \
		.obj/moc_aptsearchpluginshortinputwidget.o \
		.obj/moc_aptactionplugin.o
DIST          = /usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		aptplugin.pro
QMAKE_TARGET  = aptplugin
DESTDIR       = ../
TARGET        = libaptplugin.so
TARGETD       = libaptplugin.so

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) "../" || $(MKDIR) "../"
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



Makefile: aptplugin.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf
	$(QMAKE) -unix "CONFIG+=my_release" -o Makefile aptplugin.pro
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
qmake:  FORCE
	@$(QMAKE) -unix "CONFIG+=my_release" -o Makefile aptplugin.pro

dist: 
	@$(CHK_DIR_EXISTS) ".obj/aptplugin0.0.1" || $(MKDIR) ".obj/aptplugin0.0.1"
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/aptplugin0.0.1/ && $(COPY_FILE) --parents aptplugincontainer.h aptsearchplugin.h packagedescriptionplugin.h packagestatusplugin.h aptpluginfactory.h ipackagedb.h package.h iaptsearch.h installedversionplugin.h availableversionplugin.h simplescorecalculationstrategy.h aptsearchscorecalculationstrategy.h complexscorecalculationstrategy.h installedfilterwidget.h aptsearchpluginshortinputwidget.h aptactionplugin.h ipackage.h aptfrontpackagedb.h aptfrontpackage.h .obj/aptplugin0.0.1/ && $(COPY_FILE) --parents aptplugincontainer.cpp aptsearchplugin.cpp packagedescriptionplugin.cpp packagestatusplugin.cpp aptpluginfactory.cpp ipackagedb.cpp package.cpp iaptsearch.cpp installedversionplugin.cpp availableversionplugin.cpp simplescorecalculationstrategy.cpp aptsearchscorecalculationstrategy.cpp complexscorecalculationstrategy.cpp installedfilterwidget.cpp aptsearchpluginshortinputwidget.cpp aptactionplugin.cpp ipackage.cpp aptfrontpackagedb.cpp aptfrontpackage.cpp .obj/aptplugin0.0.1/ && $(COPY_FILE) --parents aptsearchpluginshortinputwidget.ui installedfilterwidget.ui .obj/aptplugin0.0.1/ && (cd `dirname .obj/aptplugin0.0.1` && $(TAR) aptplugin0.0.1.tar aptplugin0.0.1 && $(COMPRESS) aptplugin0.0.1.tar) && $(MOVE) `dirname .obj/aptplugin0.0.1`/aptplugin0.0.1.tar.gz . && $(DEL_FILE) -r .obj/aptplugin0.0.1


yaccclean:
lexclean:
clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/usr/bin/moc-qt4:
	(cd "$(QTDIR)/src/tools/moc" && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .moc/moc_aptplugincontainer.cpp .moc/moc_aptsearchplugin.cpp .moc/moc_packagestatusplugin.cpp .moc/moc_installedfilterwidget.cpp .moc/moc_aptsearchpluginshortinputwidget.cpp .moc/moc_aptactionplugin.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .moc/moc_aptplugincontainer.cpp .moc/moc_aptsearchplugin.cpp .moc/moc_packagestatusplugin.cpp .moc/moc_installedfilterwidget.cpp .moc/moc_aptsearchpluginshortinputwidget.cpp .moc/moc_aptactionplugin.cpp
.moc/moc_aptplugincontainer.cpp: aptfrontpackagedb.h \
		ipackagedb.h \
		package.h \
		ipackage.h \
		iaptsearch.h \
		aptfrontpackage.h \
		iaptmediator.h \
		aptplugincontainer.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) aptplugincontainer.h -o .moc/moc_aptplugincontainer.cpp

.moc/moc_aptsearchplugin.cpp: aptsearchplugin.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) aptsearchplugin.h -o .moc/moc_aptsearchplugin.cpp

.moc/moc_packagestatusplugin.cpp: package.h \
		ipackage.h \
		packagestatusplugin.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) packagestatusplugin.h -o .moc/moc_packagestatusplugin.cpp

.moc/moc_installedfilterwidget.cpp: .ui/ui_installedfilterwidget.h \
		installedfilterwidget.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) installedfilterwidget.h -o .moc/moc_installedfilterwidget.cpp

.moc/moc_aptsearchpluginshortinputwidget.cpp: .ui/ui_aptsearchpluginshortinputwidget.h \
		aptsearchpluginshortinputwidget.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) aptsearchpluginshortinputwidget.h -o .moc/moc_aptsearchpluginshortinputwidget.cpp

.moc/moc_aptactionplugin.cpp: aptactionplugin.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) aptactionplugin.h -o .moc/moc_aptactionplugin.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all:
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: .ui/ui_aptsearchpluginshortinputwidget.h .ui/ui_installedfilterwidget.h
compiler_uic_clean:
	-$(DEL_FILE) .ui/ui_aptsearchpluginshortinputwidget.h .ui/ui_installedfilterwidget.h
.ui/ui_aptsearchpluginshortinputwidget.h: aptsearchpluginshortinputwidget.ui
	/usr/bin/uic-qt4 aptsearchpluginshortinputwidget.ui -o .ui/ui_aptsearchpluginshortinputwidget.h

.ui/ui_installedfilterwidget.h: installedfilterwidget.ui
	/usr/bin/uic-qt4 installedfilterwidget.ui -o .ui/ui_installedfilterwidget.h

compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_image_collection_clean compiler_moc_source_clean compiler_uic_clean 

####### Compile

.obj/aptplugincontainer.o: aptplugincontainer.cpp aptplugincontainer.h \
		aptfrontpackagedb.h \
		ipackagedb.h \
		package.h \
		ipackage.h \
		iaptsearch.h \
		aptfrontpackage.h \
		iaptmediator.h \
		dumpavailpackagedb.h \
		aptpluginfactory.h \
		aptsearchplugin.h \
		aptactionplugin.h \
		packagestatusplugin.h \
		packagedescriptionplugin.h \
		installedversionplugin.h \
		availableversionplugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/aptplugincontainer.o aptplugincontainer.cpp

.obj/aptsearchplugin.o: aptsearchplugin.cpp iaptsearch.h \
		ipackagedb.h \
		package.h \
		ipackage.h \
		complexscorecalculationstrategy.h \
		aptsearchscorecalculationstrategy.h \
		aptsearchplugin.h \
		aptsearchpluginshortinputwidget.h \
		.ui/ui_aptsearchpluginshortinputwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/aptsearchplugin.o aptsearchplugin.cpp

.obj/packagedescriptionplugin.o: packagedescriptionplugin.cpp packagedescriptionplugin.h \
		package.h \
		ipackage.h \
		ipackagedb.h \
		iaptmediator.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/packagedescriptionplugin.o packagedescriptionplugin.cpp

.obj/packagestatusplugin.o: packagestatusplugin.cpp packagestatusplugin.h \
		package.h \
		ipackage.h \
		installedfilterwidget.h \
		.ui/ui_installedfilterwidget.h \
		ipackagedb.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/packagestatusplugin.o packagestatusplugin.cpp

.obj/aptpluginfactory.o: aptpluginfactory.cpp aptpluginfactory.h \
		aptsearchplugin.h \
		aptactionplugin.h \
		packagestatusplugin.h \
		package.h \
		ipackage.h \
		packagedescriptionplugin.h \
		installedversionplugin.h \
		availableversionplugin.h

=== src/plugins/debtagsplugin/Makefile ===
#############################################################################
# Makefile for building: libdebtagsplugin.so
# Generated by qmake (2.00a) (Qt 4.1.2) on: Sat Jun 3 11:32:02 2006
# Project:  debtagsplugin.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix "CONFIG+=my_release" -o Makefile debtagsplugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC  $(DEFINES)
CXXFLAGS      = -pipe -O2 `pkg-config --cflags libtagcoll libapt-front` -D_REENTRANT -Wall -W -fPIC  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/Qt3Support -I/usr/include/qt4 -I. -I. -I../.. -I.moc -I.ui
LINK          = g++
LFLAGS        = -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lpthread -lQt3Support -lQtXml -lQtGui -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = debtagsplugin.cpp \
		debtagsplugincontainer.cpp \
		relatedplugin.cpp \
		tagitem.cpp \
		taglistviewitem.cpp \
		tagselectionlistview.cpp \
		tagselectionwidget.cpp \
		selectioninputanddisplay.cpp \
		debtagspluginfactory.cpp \
		debtagssettingswidget.cpp \
		relatedfeedbackwidget.cpp \
		relatedinput.cpp \
		tagchooserwidget.cpp \
		choosentagsdisplay.cpp \
		debtagsactionplugin.cpp .moc/moc_debtagsplugin.cpp \
		.moc/moc_debtagsplugincontainer.cpp \
		.moc/moc_relatedplugin.cpp \
		.moc/moc_taglistviewitem.cpp \
		.moc/moc_tagselectionlistview.cpp \
		.moc/moc_tagselectionwidget.cpp \
		.moc/moc_selectioninputanddisplay.cpp \
		.moc/moc_debtagssettingswidget.cpp \
		.moc/moc_relatedfeedbackwidget.cpp \
		.moc/moc_relatedinput.cpp \
		.moc/moc_tagchooserwidget.cpp \
		.moc/moc_choosentagsdisplay.cpp \
		.moc/moc_debtagsactionplugin.cpp
OBJECTS       = .obj/debtagsplugin.o \
		.obj/debtagsplugincontainer.o \
		.obj/relatedplugin.o \
		.obj/tagitem.o \
		.obj/taglistviewitem.o \
		.obj/tagselectionlistview.o \
		.obj/tagselectionwidget.o \
		.obj/selectioninputanddisplay.o \
		.obj/debtagspluginfactory.o \
		.obj/debtagssettingswidget.o \
		.obj/relatedfeedbackwidget.o \
		.obj/relatedinput.o \
		.obj/tagchooserwidget.o \
		.obj/choosentagsdisplay.o \
		.obj/debtagsactionplugin.o \
		.obj/moc_debtagsplugin.o \
		.obj/moc_debtagsplugincontainer.o \
		.obj/moc_relatedplugin.o \
		.obj/moc_taglistviewitem.o \
		.obj/moc_tagselectionlistview.o \
		.obj/moc_tagselectionwidget.o \
		.obj/moc_selectioninputanddisplay.o \
		.obj/moc_debtagssettingswidget.o \
		.obj/moc_relatedfeedbackwidget.o \
		.obj/moc_relatedinput.o \
		.obj/moc_tagchooserwidget.o \
		.obj/moc_choosentagsdisplay.o \
		.obj/moc_debtagsactionplugin.o
DIST          = /usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		debtagsplugin.pro
QMAKE_TARGET  = debtagsplugin
DESTDIR       = ../
TARGET        = libdebtagsplugin.so
TARGETD       = libdebtagsplugin.so

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) "../" || $(MKDIR) "../"
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



Makefile: debtagsplugin.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf
	$(QMAKE) -unix "CONFIG+=my_release" -o Makefile debtagsplugin.pro
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
qmake:  FORCE
	@$(QMAKE) -unix "CONFIG+=my_release" -o Makefile debtagsplugin.pro

dist: 
	@$(CHK_DIR_EXISTS) ".obj/debtagsplugin0.0.1" || $(MKDIR) ".obj/debtagsplugin0.0.1"
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/debtagsplugin0.0.1/ && $(COPY_FILE) --parents debtagsplugin.h debtagsplugincontainer.h relatedplugin.h tagitem.h taglistviewitem.h tagselectionlistview.h tagselectionview.h tagselectionwidget.h selectioninputanddisplay.h debtagspluginfactory.h debtagssettingswidget.h relatedfeedbackwidget.h relatedinput.h tagchooserwidget.h choosentagsdisplay.h debtagsactionplugin.h debtagshelper.h .obj/debtagsplugin0.0.1/ && $(COPY_FILE) --parents debtagsplugin.cpp debtagsplugincontainer.cpp relatedplugin.cpp tagitem.cpp taglistviewitem.cpp tagselectionlistview.cpp tagselectionwidget.cpp selectioninputanddisplay.cpp debtagspluginfactory.cpp debtagssettingswidget.cpp relatedfeedbackwidget.cpp relatedinput.cpp tagchooserwidget.cpp choosentagsdisplay.cpp debtagsactionplugin.cpp .obj/debtagsplugin0.0.1/ && $(COPY_FILE) --parents debtagssettingswidget.ui choosentagsdisplay.ui relatedfeedbackwidget.ui relatedinput.ui tagchooserwidget.ui .obj/debtagsplugin0.0.1/ && (cd `dirname .obj/debtagsplugin0.0.1` && $(TAR) debtagsplugin0.0.1.tar debtagsplugin0.0.1 && $(COMPRESS) debtagsplugin0.0.1.tar) && $(MOVE) `dirname .obj/debtagsplugin0.0.1`/debtagsplugin0.0.1.tar.gz . && $(DEL_FILE) -r .obj/debtagsplugin0.0.1


yaccclean:
lexclean:
clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/usr/bin/moc-qt4:
	(cd "$(QTDIR)/src/tools/moc" && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .moc/moc_debtagsplugin.cpp .moc/moc_debtagsplugincontainer.cpp .moc/moc_relatedplugin.cpp .moc/moc_taglistviewitem.cpp .moc/moc_tagselectionlistview.cpp .moc/moc_tagselectionwidget.cpp .moc/moc_selectioninputanddisplay.cpp .moc/moc_debtagssettingswidget.cpp .moc/moc_relatedfeedbackwidget.cpp .moc/moc_relatedinput.cpp .moc/moc_tagchooserwidget.cpp .moc/moc_choosentagsdisplay.cpp .moc/moc_debtagsactionplugin.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .moc/moc_debtagsplugin.cpp .moc/moc_debtagsplugincontainer.cpp .moc/moc_relatedplugin.cpp .moc/moc_taglistviewitem.cpp .moc/moc_tagselectionlistview.cpp .moc/moc_tagselectionwidget.cpp .moc/moc_selectioninputanddisplay.cpp .moc/moc_debtagssettingswidget.cpp .moc/moc_relatedfeedbackwidget.cpp .moc/moc_relatedinput.cpp .moc/moc_tagchooserwidget.cpp .moc/moc_choosentagsdisplay.cpp .moc/moc_debtagsactionplugin.cpp
.moc/moc_debtagsplugin.cpp: debtagsplugincontainer.h \
		tagchooserwidget.h \
		.ui/ui_tagchooserwidget.h \
		debtagsplugin.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) debtagsplugin.h -o .moc/moc_debtagsplugin.cpp

.moc/moc_debtagsplugincontainer.cpp: debtagsplugincontainer.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) debtagsplugincontainer.h -o .moc/moc_debtagsplugincontainer.cpp

.moc/moc_relatedplugin.cpp: debtagsplugincontainer.h \
		relatedplugin.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) relatedplugin.h -o .moc/moc_relatedplugin.cpp

.moc/moc_taglistviewitem.cpp: tagitem.h \
		taglistviewitem.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) taglistviewitem.h -o .moc/moc_taglistviewitem.cpp

.moc/moc_tagselectionlistview.cpp: tagselectionview.h \
		tagitem.h \
		taglistviewitem.h \
		tagselectionlistview.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) tagselectionlistview.h -o .moc/moc_tagselectionlistview.cpp

.moc/moc_tagselectionwidget.cpp: tagselectionlistview.h \
		tagselectionview.h \
		tagitem.h \
		taglistviewitem.h \
		tagselectionwidget.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) tagselectionwidget.h -o .moc/moc_tagselectionwidget.cpp

.moc/moc_selectioninputanddisplay.cpp: tagselectionwidget.h \
		tagselectionlistview.h \
		tagselectionview.h \
		tagitem.h \
		taglistviewitem.h \
		selectioninputanddisplay.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) selectioninputanddisplay.h -o .moc/moc_selectioninputanddisplay.cpp

.moc/moc_debtagssettingswidget.cpp: .ui/ui_debtagssettingswidget.h \
		debtagssettingswidget.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) debtagssettingswidget.h -o .moc/moc_debtagssettingswidget.cpp

.moc/moc_relatedfeedbackwidget.cpp: .ui/ui_relatedfeedbackwidget.h \
		relatedfeedbackwidget.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) relatedfeedbackwidget.h -o .moc/moc_relatedfeedbackwidget.cpp

.moc/moc_relatedinput.cpp: .ui/ui_relatedinput.h \
		relatedinput.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) relatedinput.h -o .moc/moc_relatedinput.cpp

.moc/moc_tagchooserwidget.cpp: .ui/ui_tagchooserwidget.h \
		tagchooserwidget.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) tagchooserwidget.h -o .moc/moc_tagchooserwidget.cpp

.moc/moc_choosentagsdisplay.cpp: .ui/ui_choosentagsdisplay.h \
		choosentagsdisplay.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) choosentagsdisplay.h -o .moc/moc_choosentagsdisplay.cpp

.moc/moc_debtagsactionplugin.cpp: debtagsactionplugin.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) debtagsactionplugin.h -o .moc/moc_debtagsactionplugin.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all:
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: .ui/ui_debtagssettingswidget.h .ui/ui_choosentagsdisplay.h .ui/ui_relatedfeedbackwidget.h .ui/ui_relatedinput.h .ui/ui_tagchooserwidget.h
compiler_uic_clean:
	-$(DEL_FILE) .ui/ui_debtagssettingswidget.h .ui/ui_choosentagsdisplay.h .ui/ui_relatedfeedbackwidget.h .ui/ui_relatedinput.h .ui/ui_tagchooserwidget.h

=== src/plugins/filenameplugin/Makefile ===
#############################################################################
# Makefile for building: libfilenameplugin.so
# Generated by qmake (2.00a) (Qt 4.1.2) on: Sat Jun 3 11:32:02 2006
# Project:  filenameplugin.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix "CONFIG+=my_release" -o Makefile filenameplugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC  $(DEFINES)
CXXFLAGS      = -pipe -O2 `pkg-config --cflags libtagcoll` -D_REENTRANT -Wall -W -fPIC  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -I../.. -I.moc -I.ui
LINK          = g++
LFLAGS        = -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lpthread -lQtXml -lQtGui -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = filenameplugin.cpp \
		filenameplugincontainer.cpp \
		filenamepluginfactory.cpp \
		filenameview.cpp \
		filenamesearchinput.cpp \
		filenamefeedbackwidget.cpp \
		filenameactionplugin.cpp .moc/moc_filenameplugin.cpp \
		.moc/moc_filenameplugincontainer.cpp \
		.moc/moc_filenameview.cpp \
		.moc/moc_filenamesearchinput.cpp \
		.moc/moc_filenamefeedbackwidget.cpp \
		.moc/moc_filenameactionplugin.cpp
OBJECTS       = .obj/filenameplugin.o \
		.obj/filenameplugincontainer.o \
		.obj/filenamepluginfactory.o \
		.obj/filenameview.o \
		.obj/filenamesearchinput.o \
		.obj/filenamefeedbackwidget.o \
		.obj/filenameactionplugin.o \
		.obj/moc_filenameplugin.o \
		.obj/moc_filenameplugincontainer.o \
		.obj/moc_filenameview.o \
		.obj/moc_filenamesearchinput.o \
		.obj/moc_filenamefeedbackwidget.o \
		.obj/moc_filenameactionplugin.o
DIST          = /usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		filenameplugin.pro
QMAKE_TARGET  = filenameplugin
DESTDIR       = ../
TARGET        = libfilenameplugin.so
TARGETD       = libfilenameplugin.so

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) "../" || $(MKDIR) "../"
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



Makefile: filenameplugin.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf
	$(QMAKE) -unix "CONFIG+=my_release" -o Makefile filenameplugin.pro
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
qmake:  FORCE
	@$(QMAKE) -unix "CONFIG+=my_release" -o Makefile filenameplugin.pro

dist: 
	@$(CHK_DIR_EXISTS) ".obj/filenameplugin0.0.1" || $(MKDIR) ".obj/filenameplugin0.0.1"
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/filenameplugin0.0.1/ && $(COPY_FILE) --parents filenameplugin.h filenameplugincontainer.h filenamepluginfactory.h filenameview.h filenamesearchinput.h filenamefeedbackwidget.h filenameactionplugin.h .obj/filenameplugin0.0.1/ && $(COPY_FILE) --parents filenameplugin.cpp filenameplugincontainer.cpp filenamepluginfactory.cpp filenameview.cpp filenamesearchinput.cpp filenamefeedbackwidget.cpp filenameactionplugin.cpp .obj/filenameplugin0.0.1/ && $(COPY_FILE) --parents filenamefeedbackwidget.ui filenamesearchinput.ui filenameview.ui .obj/filenameplugin0.0.1/ && (cd `dirname .obj/filenameplugin0.0.1` && $(TAR) filenameplugin0.0.1.tar filenameplugin0.0.1 && $(COMPRESS) filenameplugin0.0.1.tar) && $(MOVE) `dirname .obj/filenameplugin0.0.1`/filenameplugin0.0.1.tar.gz . && $(DEL_FILE) -r .obj/filenameplugin0.0.1


yaccclean:
lexclean:
clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/usr/bin/moc-qt4:
	(cd "$(QTDIR)/src/tools/moc" && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .moc/moc_filenameplugin.cpp .moc/moc_filenameplugincontainer.cpp .moc/moc_filenameview.cpp .moc/moc_filenamesearchinput.cpp .moc/moc_filenamefeedbackwidget.cpp .moc/moc_filenameactionplugin.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .moc/moc_filenameplugin.cpp .moc/moc_filenameplugincontainer.cpp .moc/moc_filenameview.cpp .moc/moc_filenamesearchinput.cpp .moc/moc_filenamefeedbackwidget.cpp .moc/moc_filenameactionplugin.cpp
.moc/moc_filenameplugin.cpp: filenameplugin.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) filenameplugin.h -o .moc/moc_filenameplugin.cpp

.moc/moc_filenameplugincontainer.cpp: filenamepluginfactory.h \
		filenameplugincontainer.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) filenameplugincontainer.h -o .moc/moc_filenameplugincontainer.cpp

.moc/moc_filenameview.cpp: .ui/ui_filenameview.h \
		filenameview.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) filenameview.h -o .moc/moc_filenameview.cpp

.moc/moc_filenamesearchinput.cpp: .ui/ui_filenamesearchinput.h \
		filenamesearchinput.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) filenamesearchinput.h -o .moc/moc_filenamesearchinput.cpp

.moc/moc_filenamefeedbackwidget.cpp: .ui/ui_filenamefeedbackwidget.h \
		filenamefeedbackwidget.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) filenamefeedbackwidget.h -o .moc/moc_filenamefeedbackwidget.cpp

.moc/moc_filenameactionplugin.cpp: filenameactionplugin.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) filenameactionplugin.h -o .moc/moc_filenameactionplugin.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all:
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: .ui/ui_filenamefeedbackwidget.h .ui/ui_filenamesearchinput.h .ui/ui_filenameview.h
compiler_uic_clean:
	-$(DEL_FILE) .ui/ui_filenamefeedbackwidget.h .ui/ui_filenamesearchinput.h .ui/ui_filenameview.h
.ui/ui_filenamefeedbackwidget.h: filenamefeedbackwidget.ui
	/usr/bin/uic-qt4 filenamefeedbackwidget.ui -o .ui/ui_filenamefeedbackwidget.h

.ui/ui_filenamesearchinput.h: filenamesearchinput.ui
	/usr/bin/uic-qt4 filenamesearchinput.ui -o .ui/ui_filenamesearchinput.h

.ui/ui_filenameview.h: filenameview.ui
	/usr/bin/uic-qt4 filenameview.ui -o .ui/ui_filenameview.h

compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_image_collection_clean compiler_moc_source_clean compiler_uic_clean 

####### Compile

.obj/filenameplugin.o: filenameplugin.cpp filenameplugin.h \
		filenameview.h \
		.ui/ui_filenameview.h \
		filenamesearchinput.h \
		.ui/ui_filenamesearchinput.h \
		filenamefeedbackwidget.h \
		.ui/ui_filenamefeedbackwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/filenameplugin.o filenameplugin.cpp

.obj/filenameplugincontainer.o: filenameplugincontainer.cpp filenameplugincontainer.h \
		filenamepluginfactory.h \
		filenameactionplugin.h \
		filenameplugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/filenameplugincontainer.o filenameplugincontainer.cpp

.obj/filenamepluginfactory.o: filenamepluginfactory.cpp filenamepluginfactory.h \
		filenameactionplugin.h \
		filenameplugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/filenamepluginfactory.o filenamepluginfactory.cpp

.obj/filenameview.o: filenameview.cpp filenameview.h \
		.ui/ui_filenameview.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/filenameview.o filenameview.cpp

.obj/filenamesearchinput.o: filenamesearchinput.cpp filenamesearchinput.h \
		.ui/ui_filenamesearchinput.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/filenamesearchinput.o filenamesearchinput.cpp

.obj/filenamefeedbackwidget.o: filenamefeedbackwidget.cpp filenamefeedbackwidget.h \
		.ui/ui_filenamefeedbackwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/filenamefeedbackwidget.o filenamefeedbackwidget.cpp

.obj/filenameactionplugin.o: filenameactionplugin.cpp filenameactionplugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/filenameactionplugin.o filenameactionplugin.cpp

.obj/moc_filenameplugin.o: .moc/moc_filenameplugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_filenameplugin.o .moc/moc_filenameplugin.cpp

.obj/moc_filenameplugincontainer.o: .moc/moc_filenameplugincontainer.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_filenameplugincontainer.o .moc/moc_filenameplugincontainer.cpp

.obj/moc_filenameview.o: .moc/moc_filenameview.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_filenameview.o .moc/moc_filenameview.cpp

.obj/moc_filenamesearchinput.o: .moc/moc_filenamesearchinput.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_filenamesearchinput.o .moc/moc_filenamesearchinput.cpp

.obj/moc_filenamefeedbackwidget.o: .moc/moc_filenamefeedbackwidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_filenamefeedbackwidget.o .moc/moc_filenamefeedbackwidget.cpp

.obj/moc_filenameactionplugin.o: .moc/moc_filenameactionplugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_filenameactionplugin.o .moc/moc_filenameactionplugin.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== src/plugins/orphanplugin/Makefile ===
#############################################################################
# Makefile for building: liborphanplugin.so
# Generated by qmake (2.00a) (Qt 4.1.2) on: Sat Jun 3 11:32:02 2006
# Project:  orphanplugin.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix "CONFIG+=my_release" -o Makefile orphanplugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
LEX           = flex
YACC          = yacc
DEFINES       = -DQT_NO_DEBUG -DQT_PLUGIN -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W -fPIC  $(DEFINES)
CXXFLAGS      = -pipe -O2 `pkg-config --cflags libtagcoll` -D_REENTRANT -Wall -W -fPIC  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/Qt3Support -I/usr/include/qt4 -I. -I../.. -I.moc -I.ui
LINK          = g++
LFLAGS        = -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lpthread -lQt3Support -lQtXml -lQtGui -lQtCore
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = orphanplugincontainer.cpp \
		orphanpluginfactory.cpp \
		orphanplugin.cpp \
		orphansearchinputimpl.cpp \
		orphanfeedbackwidgetimpl.cpp .moc/moc_orphanplugincontainer.cpp \
		.moc/moc_orphanplugin.cpp \
		.moc/moc_orphansearchinputimpl.cpp \
		.moc/moc_orphanfeedbackwidgetimpl.cpp
OBJECTS       = .obj/orphanplugincontainer.o \
		.obj/orphanpluginfactory.o \
		.obj/orphanplugin.o \
		.obj/orphansearchinputimpl.o \
		.obj/orphanfeedbackwidgetimpl.o \
		.obj/moc_orphanplugincontainer.o \
		.obj/moc_orphanplugin.o \
		.obj/moc_orphansearchinputimpl.o \
		.obj/moc_orphanfeedbackwidgetimpl.o
DIST          = /usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		orphanplugin.pro
QMAKE_TARGET  = orphanplugin
DESTDIR       = ../
TARGET        = liborphanplugin.so
TARGETD       = liborphanplugin.so

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile  ../$(TARGET)

../$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) "../" || $(MKDIR) "../"
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../



Makefile: orphanplugin.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf
	$(QMAKE) -unix "CONFIG+=my_release" -o Makefile orphanplugin.pro
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
qmake:  FORCE
	@$(QMAKE) -unix "CONFIG+=my_release" -o Makefile orphanplugin.pro

dist: 
	@$(CHK_DIR_EXISTS) ".obj/orphanplugin0.0.1" || $(MKDIR) ".obj/orphanplugin0.0.1"
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/orphanplugin0.0.1/ && $(COPY_FILE) --parents orphanplugincontainer.h orphanpluginfactory.h orphanplugin.h orphansearchinputimpl.h orphanfeedbackwidgetimpl.h .obj/orphanplugin0.0.1/ && $(COPY_FILE) --parents orphanplugincontainer.cpp orphanpluginfactory.cpp orphanplugin.cpp orphansearchinputimpl.cpp orphanfeedbackwidgetimpl.cpp .obj/orphanplugin0.0.1/ && $(COPY_FILE) --parents orphansearchinput.ui orphanfeedbackwidget.ui .obj/orphanplugin0.0.1/ && (cd `dirname .obj/orphanplugin0.0.1` && $(TAR) orphanplugin0.0.1.tar orphanplugin0.0.1 && $(COMPRESS) orphanplugin0.0.1.tar) && $(MOVE) `dirname .obj/orphanplugin0.0.1`/orphanplugin0.0.1.tar.gz . && $(DEL_FILE) -r .obj/orphanplugin0.0.1


yaccclean:
lexclean:
clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


/usr/bin/moc-qt4:
	(cd "$(QTDIR)/src/tools/moc" && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .moc/moc_orphanplugincontainer.cpp .moc/moc_orphanplugin.cpp .moc/moc_orphansearchinputimpl.cpp .moc/moc_orphanfeedbackwidgetimpl.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .moc/moc_orphanplugincontainer.cpp .moc/moc_orphanplugin.cpp .moc/moc_orphansearchinputimpl.cpp .moc/moc_orphanfeedbackwidgetimpl.cpp
.moc/moc_orphanplugincontainer.cpp: orphanplugincontainer.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) orphanplugincontainer.h -o .moc/moc_orphanplugincontainer.cpp

.moc/moc_orphanplugin.cpp: orphanplugin.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) orphanplugin.h -o .moc/moc_orphanplugin.cpp

.moc/moc_orphansearchinputimpl.cpp: .ui/ui_orphansearchinput.h \
		orphansearchinputimpl.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) orphansearchinputimpl.h -o .moc/moc_orphansearchinputimpl.cpp

.moc/moc_orphanfeedbackwidgetimpl.cpp: .ui/ui_orphanfeedbackwidget.h \
		orphanfeedbackwidgetimpl.h \
		/usr/bin/moc-qt4
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) orphanfeedbackwidgetimpl.h -o .moc/moc_orphanfeedbackwidgetimpl.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all:
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: .ui/ui_orphansearchinput.h .ui/ui_orphanfeedbackwidget.h
compiler_uic_clean:
	-$(DEL_FILE) .ui/ui_orphansearchinput.h .ui/ui_orphanfeedbackwidget.h
.ui/ui_orphansearchinput.h: orphansearchinput.ui
	/usr/bin/uic-qt4 orphansearchinput.ui -o .ui/ui_orphansearchinput.h

.ui/ui_orphanfeedbackwidget.h: orphanfeedbackwidget.ui
	/usr/bin/uic-qt4 orphanfeedbackwidget.ui -o .ui/ui_orphanfeedbackwidget.h

compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_image_collection_clean compiler_moc_source_clean compiler_uic_clean 

####### Compile

.obj/orphanplugincontainer.o: orphanplugincontainer.cpp orphanplugincontainer.h \
		orphanpluginfactory.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/orphanplugincontainer.o orphanplugincontainer.cpp

.obj/orphanpluginfactory.o: orphanpluginfactory.cpp orphanpluginfactory.h \
		orphanplugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/orphanpluginfactory.o orphanpluginfactory.cpp

.obj/orphanplugin.o: orphanplugin.cpp orphanplugin.h \
		orphansearchinputimpl.h \
		.ui/ui_orphansearchinput.h \
		orphanfeedbackwidgetimpl.h \
		.ui/ui_orphanfeedbackwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/orphanplugin.o orphanplugin.cpp

.obj/orphansearchinputimpl.o: orphansearchinputimpl.cpp orphansearchinputimpl.h \
		.ui/ui_orphansearchinput.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/orphansearchinputimpl.o orphansearchinputimpl.cpp

.obj/orphanfeedbackwidgetimpl.o: orphanfeedbackwidgetimpl.cpp orphanfeedbackwidgetimpl.h \
		.ui/ui_orphanfeedbackwidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/orphanfeedbackwidgetimpl.o orphanfeedbackwidgetimpl.cpp

.obj/moc_orphanplugincontainer.o: .moc/moc_orphanplugincontainer.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_orphanplugincontainer.o .moc/moc_orphanplugincontainer.cpp

.obj/moc_orphanplugin.o: .moc/moc_orphanplugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_orphanplugin.o .moc/moc_orphanplugin.cpp

.obj/moc_orphansearchinputimpl.o: .moc/moc_orphansearchinputimpl.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_orphansearchinputimpl.o .moc/moc_orphansearchinputimpl.cpp

.obj/moc_orphanfeedbackwidgetimpl.o: .moc/moc_orphanfeedbackwidgetimpl.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_orphanfeedbackwidgetimpl.o .moc/moc_orphanfeedbackwidgetimpl.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
packagesearch (2.1ubuntu1) edgy; urgency=low

  * Rebuild to pick up a new apt SOVER. (Malone: #65460)
  * Add libsqlite0-dev and libglib2.0-dev to Build-Depends.

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon, 16 Oct 2006 23:39:33 +1000

packagesearch (2.1) unstable; urgency=low

  * New upstream release
     - removed obsolete instantiation.cpp file (Closes: #357355, 
       already fixed before in NMU)
     - switched backend to use libapt-front in main program and
       relevant plugins (Closes: #364551, #348493)
     - prepared for gcc 4.1 (Closes: #369424)
     - checks for debtags availability before trying to open (Closes: #355625)

 -- Benjamin Mesing <bensmail@gmx.net>  Mon, 1 June 2006 13:49:02 +0100

packagesearch (2.0.6-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix duplicate template instantiation, thanks to Ben Hutchings and Martin
    Michlmayr.  (Closes: #357355, #360553).
  * Urgency set to high due to RC bug fix.

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 25 May 2006 15:27:25 +0200

packagesearch (2.0.6) unstable; urgency=low

  * build depend on libmysqlclient15-dev now (Closes: #343788)
  * fixed crashes when using filesearch or listing for non-installed files

 -- Benjamin Mesing <bensmail@gmx.net>  Mon, 13 Feb 2006 11:34:02 +0100

=== debian/control ===
Source: packagesearch
Section: admin
Priority: optional
Maintainer: Benjamin Mesing <bensmail@gmx.net>
Build-Depends: debhelper (>= 4.0.0), libapt-front-dev (>= 0.3.4), libqt4-dev, qt4-dev-tools, docbook-to-man, pkg-config, libmysqlclient15-dev, libsqlite0-dev, libglib2.0-dev
Standards-Version: 3.6.2.2

Package: packagesearch
Architecture: any
Depends: apt, ${shlibs:Depends}, ${misc:Depends}
Recommends: xterm, debtags, apt-file, deborphan
Description: GUI for searching packages and viewing package information
 This tool is aimed to help you search the packages you need. It should
 make the task of searching a pleasant experience. 
 .
 Search can be done by 
  * pattern
  * tags (based on the debtags system, a new way of categorizing 
    Debian packages)
  * files
  * installed status
  * orphaned packages
 Additionally a lot of information about the packages is displayed, 
 including the files belonging to them.
 .
 It is possible to install or remove packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	docbook-to-man debian/packagesearch.sgml > debian/packagesearch.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs usr/bin usr/share/pixmaps usr/share/doc/packagesearch usr/lib/packagesearch

# Build architecture-independent files here.
binary-indep: build install
	docbook-to-man debian/manpage.sgml > debian/packagesearch.1

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
#	dh_installexamples
	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman debian/packagesearch.1
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
